Package net.rubygrapefruit.platform.internal

# Class DefaultMemoryInfo

java.lang.Object
net.rubygrapefruit.platform.internal.DefaultMemoryInfo

All Implemented Interfaces:
  `MemoryInfo`

public class DefaultMemoryInfo extends Object implements MemoryInfo

## Constructor Summary

Constructors
Constructor
Description
`DefaultMemoryInfo()`

## Method Summary

Modifier and Type
Method
Description
`void`
`details(long totalMem, long availableMem)`
`long`
`getAvailablePhysicalMemory()`
Returns the number of bytes of physical memory that are available for use.
`long`
`getTotalPhysicalMemory()`
Returns the number of bytes of physical memory installed in the machine.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultMemoryInfo

public DefaultMemoryInfo()

## Method Details

### details

public void details(long totalMem, long availableMem)

### getTotalPhysicalMemory

public long getTotalPhysicalMemory()
Description copied from interface: `MemoryInfo`
Returns the number of bytes of physical memory installed in the machine.

Specified by:
  `getTotalPhysicalMemory` in interface `MemoryInfo`

### getAvailablePhysicalMemory

public long getAvailablePhysicalMemory()
Description copied from interface: `MemoryInfo`
Returns the number of bytes of physical memory that are available for use. Includes memory that is available without swapping.

Specified by:
  `getAvailablePhysicalMemory` in interface `MemoryInfo`